Debian Bug report logs - #704899
ITP: libhash-storediterator-perl -- Functions for accessing a hashes internal iterator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Xavier Guimard <x.guimard@free.fr>

Date: Sun, 7 Apr 2013 12:09:02 UTC

Owned by: Xavier Guimard <x.guimard@free.fr>

Severity: wishlist

Fixed in version libhash-storediterator-perl/0.003-1

Done: Xavier Guimard <x.guimard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#704899; Package wnpp. (Sun, 07 Apr 2013 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Guimard <x.guimard@free.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 07 Apr 2013 12:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Xavier Guimard <x.guimard@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libhash-storediterator-perl -- Functions for accessing a hashes internal iterator
Date: Sun, 07 Apr 2013 14:05:59 +0200
Package: wnpp
Severity: wishlist
Owner: Xavier Guimard <x.guimard@free.fr>

* Package name    : libhash-storediterator-perl
  Version         : 0.003
  Upstream Author : Chad Granum <exodist7@gmail.com>
* URL             : https://metacpan.org/release/Hash-StoredIterator
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : Functions for accessing a hashes internal iterator

In perl all hashes have an internal iterator. This iterator is used by
the each() function, as well as by keys() and values(). Because these
all share use of the same iterator, they tend to interact badly with
eachother when nested.

Hash::StoredIterator gives you access to get, set, and init the iterator
inside a hash. This allows you to store the current iterator, use
each/keys/values/etc, and then restore the iterator, this helps you to
ensure you do not interact badly with other users of the iterator.

Along with low-level get/set/init functions, there are also 2 variations
of each() which let you act upon each key/value pair in a safer way than
vanilla each()

This module can also export new implementations of keys() and values()
which stash and restore the iterator so that they are safe to use within
each().

This module is required to update libperl5i-perl



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 20:06:19 GMT) Full text and rfc822 format available.

Reply sent to Xavier Guimard <x.guimard@free.fr>:
You have taken responsibility. (Fri, 19 Apr 2013 11:03:22 GMT) Full text and rfc822 format available.

Notification sent to Xavier Guimard <x.guimard@free.fr>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 11:03:22 GMT) Full text and rfc822 format available.

Message #12 received at 704899-close@bugs.debian.org (full text, mbox):

From: Xavier Guimard <x.guimard@free.fr>
To: 704899-close@bugs.debian.org
Subject: Bug#704899: fixed in libhash-storediterator-perl 0.003-1
Date: Fri, 19 Apr 2013 11:00:07 +0000
Source: libhash-storediterator-perl
Source-Version: 0.003-1

We believe that the bug you reported is fixed in the latest version of
libhash-storediterator-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704899@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Guimard <x.guimard@free.fr> (supplier of updated libhash-storediterator-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 15 Apr 2013 20:01:56 +0200
Source: libhash-storediterator-perl
Binary: libhash-storediterator-perl
Architecture: source amd64
Version: 0.003-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Xavier Guimard <x.guimard@free.fr>
Description: 
 libhash-storediterator-perl - Perl module for accessing a hashes internal iterator
Closes: 704899
Changes: 
 libhash-storediterator-perl (0.003-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #704899)
Checksums-Sha1: 
 0f13a447aca5377e62795def56dd8704f7d63310 2228 libhash-storediterator-perl_0.003-1.dsc
 a4334490aedbd2ff69af5cb209cb166c5e1501f8 60991 libhash-storediterator-perl_0.003.orig.tar.gz
 a2e09ea50aa1583f678e894d75e51d707bd92e1a 1663 libhash-storediterator-perl_0.003-1.debian.tar.gz
 335f4d489d36758716a4d6303f8ee0fa52a1f7ef 12536 libhash-storediterator-perl_0.003-1_amd64.deb
Checksums-Sha256: 
 02090ab2e9a657aef7b7c19aa7c0841cdec89d66c9f9584a94671791e449eff3 2228 libhash-storediterator-perl_0.003-1.dsc
 7df392328816a8e6eec42780a4d112db7ca5277671105cea7978715f674bbc42 60991 libhash-storediterator-perl_0.003.orig.tar.gz
 531f579621943cf9d0b83961b4bbafe48c180e10af0c69974ff289a0e4944c5a 1663 libhash-storediterator-perl_0.003-1.debian.tar.gz
 91af9118777b84be0871ed44d07b6c32ff64b4474a1484ad7f562d9adb17a057 12536 libhash-storediterator-perl_0.003-1_amd64.deb
Files: 
 2cd8d6a739a65c8d7dbc17b056f89da1 2228 perl optional libhash-storediterator-perl_0.003-1.dsc
 f4e556cb7c0bccb1590a9e02b5ae8258 60991 perl optional libhash-storediterator-perl_0.003.orig.tar.gz
 3c240fe09347c18f95cccd345e529136 1663 perl optional libhash-storediterator-perl_0.003-1.debian.tar.gz
 bf0607567b5fe9d5d94d1faea12c09d5 12536 perl optional libhash-storediterator-perl_0.003-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRbEhEAAoJELs6aAGGSaoGG7YP/3Fg6lC1M356MpkidlZckLbu
m2lu1VWzamhxhZsLvdnD+AS/vUD5fRn/SJ9/pcZL3s0NI2vve+feAr+omMgUpv1G
kB8jgNPreaCaJDdFN/cA9n2hy4HtSadCqBQIf9aJ11lnyopCPPbpiAZsh2Z6fYMs
7nisAJUu4bcREQjYVh8GZ7o2JkkAWTM/CINOEO2Cqu4iusEJg5eRM792qZmoO0g9
oa2E51g2CANONkA21BjoEqPH3eLBo//Tk2TIbKmo25zARtHW4UlKaCN9sp2qGhSq
Ah9JqQnmxx5zduxyyivZvO8hbhfeSTSxWulBCGo2a3qra3EYNPBoJ3zpwW1yiFDt
Ja8wuFsFLf/JL8ss3PlxFBt4+VR9Ls8Tz436nZzK0HZ5t8DDD/vPbru3caOIwrFb
GHTSqqfls2qt/v34mIwtNnI7pWlt6VkZtXFfKq4UIO9X0s7mDAALJiPFvB9SgYwV
Uscz9gqF0pqGNXlP483AJF/cgkZ8ANn5ue+8uH4p1UMA7g2L5w3o46M6CiyNhl88
l0AsJCvH+vkJm0pGw6jNUK+4UznRR9Gl2w9sJOyWweRSzKlDbaEdnO2MZXU8f6jS
1IzDeWy8O960qEOmU9vt3rN0EorNCm72A5Edxe2Ut/rb9f+85RDcA+CuuV/9jswk
ZzhkMayPXkD1Z+zLataG
=maoj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:35:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:30:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.